Skip to main content

Get a Skill

Gets the metadata and latest version number of a Skill.

Endpoint

GET /api/v1/skills/{skill_id} Gets a Skill. For a custom Skill, returns the non-deleted record under the primary account and workspace, including checking and rejected statuses. For an official Skill, returns only the active status. This API does not return the version list or download URL.

Request parameters

ParameterTypeRequiredDescription
skill_idstringYesSkill ID

Response

Returns a SkillDTO.
FieldTypeDescription
idstringUnique Skill ID
display_namestringDisplay name
display_descriptionstringDisplay description
sourcestringcustomer or official
statusstringSkill status
latest_versionstringLatest version number
classificationstring / nullClassification. Set for official Skills; null for custom Skills
meta_infoobject / nullMetadata for official Skills; null for custom Skills
created_atstringCreation time
updated_atstringUpdate time

Example

curl "https://{workspace_id}.cn-beijing.maas.aliyuncs.com/api/v1/skills/skill_abc123" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"
{
  "success": true,
  "error_code": null,
  "error_msg": null,
  "data": {
    "id": "skill_abc123",
    "display_name": "pdf3.0",
    "display_description": "Use this skill whenever the user wants to do anything with PDF files.",
    "source": "customer",
    "status": "checking",
    "latest_version": "1.0",
    "classification": null,
    "meta_info": null,
    "created_at": "2026-06-16T07:56:03Z",
    "updated_at": "2026-06-16T07:56:03Z"
  },
  "request_id": "15a89d4c-f142-4e00-a9f7-b088442417c9"
}

Errors

HTTP statuserror_codeDescription
401WORKSPACE_ID_ILLEGALIdentity information is missing or invalid
400SKILL_ID_IS_NULLskill_id is blank
500SKILL_NOT_EXISTThe Skill does not exist, is deleted, is inaccessible, or the official Skill is not available